# PeopleTasks

## appmixer.ui.PeopleTasks

The appmixer.ui.PeopleTasks is a UI widget that displays people task dashboard for the user. Please see the [People Tasks tutorial](/6.0/v4/tutorials/people-tasks.md) for more details.

| Method                            | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| --------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `appmixer.ui.PeopleTasks(config)` | Constructor function that accepts `config` object. The `config` object must contain at least the `el` property that points to a container DOM element where the PeopleTasks widget will be rendered.                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `set(property, value)`            | Set a property of the people tasks. Currently only `secret` and `role` is supported. Setting the `secret` allows you to open the people task dashboard of any user for which you have the secret (not just the currently signed-in user. This secret comes from either the `approverSecret` or `requesterSecret` property of the object returned when you create a new task. Setting `role` to either `"approver"` or `"requester"` allows you to change the default view of the people task dashboard. In other words, if a user is both an approver and a requester, they have different lists of tasks for both roles. |
| `reload()`                        | Refresh the PeopleTasks. This can be called when tasks have been modified through API, to make sure changes are reflected in the UI.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appmixer.com/6.0/v4/appmixer-sdk/api-reference/peopletasks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
